Bug 112689 - [MAINTAINER]: Fix net/ntop
Summary: [MAINTAINER]: Fix net/ntop
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2007-05-15 19:10 UTC by Wesley Shields
Modified: 2007-05-25 23:20 UTC (History)
0 users

See Also:


Attachments
file.diff (1.26 KB, patch)
2007-05-15 19:10 UTC, Wesley Shields
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Wesley Shields 2007-05-15 19:10:07 UTC
The following is an email sent to me from Robert Noland:

--- QUOTE ---
Hi,

It seems that Qt4 is installing things to /usr/local/lib/plugins, which
ntop is trying to remove in it's post-install target.  This is causing
installation of ntop to fail.

# $FreeBSD: ports/net/ntop/Makefile,v 1.59 2007/02/10 06:05:03 kris Exp
$
#

PORTNAME=       ntop
PORTVERSION=    3.2
PORTREVISION=   4

...

post-install:
        @${MKDIR} ${DBDIR}/ntop
        @${CHOWN} -R nobody:nobody ${DBDIR}/ntop
        @${RMDIR} ${PREFIX}/lib/plugins

rnoland-ibm% ls -l                                                    
total 8184
drwxr-xr-x  2 root  wheel      512 Apr 26 17:05 accessible
drwxr-xr-x  2 root  wheel      512 Apr 26 18:29 iconengines
drwxr-xr-x  2 root  wheel      512 Apr 26 18:27 imageformats
drwxr-xr-x  2 root  wheel      512 Apr 26 18:33 inputmethods
-rwxr-xr-x  1 root  wheel   256951 Apr 26 17:45 libqt3supportwidgets.so
-rw-r--r--  1 root  wheel  8075392 Apr 26 17:45
libqt3supportwidgets.so.debug

rnoland-ibm% pkg_info -W `pwd`/libqt3supportwidgets.so                
/usr/local/lib/plugins/libqt3supportwidgets.so was installed by package
qt4-designer-4.2.3_1
rnoland-ibm% pkg_info -W /usr/local/lib/plugins/iconengines/libqsvg.so
/usr/local/lib/plugins/iconengines/libqsvg.so was installed by package
qt4-iconengines-4.2.3

robert.
--- END QUOTE ---

The attached patch fixes this problem.  It adds files/patch-Makefile.in
which removes the unnecessary line, removes the erroneous post-install
line and bumps PORTREVISION.  I believe bumping PORTREVISION is the
right thing, but please correct me if I am wrong.

How-To-Repeat: N/A
Comment 1 Martin Wilke freebsd_committer 2007-05-15 19:27:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 dfilter service freebsd_committer 2007-05-25 23:11:53 UTC
miwi        2007-05-25 22:11:39 UTC

  FreeBSD ports repository

  Modified files:
    net/ntop             Makefile 
  Added files:
    net/ntop/files       patch-Makefile.in 
  Log:
  - Fix build with qt4.
  - Bump PORTREVISION
  
  PR:             112689
  Submitted by:   Wesley Shields <wxs@atarininja.org> (maintainer)
  
  Revision  Changes    Path
  1.61      +4 -5      ports/net/ntop/Makefile
  1.1       +10 -0     ports/net/ntop/files/patch-Makefile.in (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Martin Wilke freebsd_committer 2007-05-25 23:11:55 UTC
State Changed
From-To: open->closed

Committed. Thanks!